/* Main CSS File */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    --background_color: #f4f4f4;
    --primary_color: #333;
}
body{
    font-family: Arial, sans-serif;
    background-color: var(--background_color);
    color: var(--primary_color);
    margin: 0;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}
.plugin_list{
    display: flex;
    gap: 20px;
}
.plugin{
    background-color: #fff;
    border: 2px solid #ccc;
    border-radius: 8px;
    padding: 20px;
    text-align: center;
    width: 14rem;
    cursor: pointer;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    transition: transform 0.5s, box-shadow 0.5s;
}
.plugin:hover{
    transform: scale(1.05);
    box-shadow: 0 8px 16px rgba(0,0,0,0.2);
    background-color: var(--primary_color);
    color:#fff;
    transition: 0.2s ease-in-out;
}

.plugin p:first-child{
    font-size: 2rem;
}

/* for Mobile screen */
@media (max-width: 768px){
    .plugin_list{
        flex-direction: column;
    }
    .plugin{
        width: 10rem;
    }
    .plugin p:first-child{
        font-size: 1.5rem;
    }
    
}

